Bug 228428 - Ctrl-v during preedit appears in preedit buffer for qt XIM
Summary: Ctrl-v during preedit appears in preedit buffer for qt XIM
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scim-chewing   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caius Chance
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 04:02 UTC by Jens Petersen
Modified: 2008-04-09 00:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 00:59:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (700 bytes, application/octet-stream)
2008-04-09 00:58 UTC, Caius Chance
no flags Details

Description Jens Petersen 2007-02-13 04:02:44 UTC
Description of problem:
When using scim-chewing in KDE apps copy'n'paste does not work correctly.

How reproducible:
every time

Steps to Reproduce:
1. QT_IM_MODULE=xim kate
2. input some text with scim-chewing
3. try to copy and paste with keyboard (Shift-cursor, Ctrl-c, cursor, Ctrl-v)
  
Actual results:
After Ctrl-c, moving cursor causes highlighted text to vanish.

Expected results:
Text to remain.

Additional info:
works fine with scim-qtimm

Comment 2 Caius Chance 2008-03-12 02:30:02 UTC
I have problem to turn on SCIM when using QT_IM_MODULE=xim kate or
QT_IM_MODULE=scim kate.

FYI, tested on QT_IM_MODULE=scim-bridge kate and the bug is not producible on that.



Comment 3 Caius Chance 2008-03-17 06:16:56 UTC
For reference, im-chooser has to be run to enable scim before the triage.

According to the result, with Chewing focused in, the copy-and-paste function
does work for QT XIM whenever the characters/strings are committed.

Besides, the paste hotkey is inappropriately works when Chewing in preedit
buffer state. Users could ctrl-v to paste any characters that had been copied in
any previous situation into the preedit buffer, though final commit of
characters by Chewing mostly remained without pasted characters.

I might recognize the pasting problem as a bug. What do you think Jens?

Comment 4 Caius Chance 2008-03-17 06:24:21 UTC
Procedures to reproduce pasting problem:

1. Start with step 1 in comment #0.
2. Copy any texts from anywhere even another software.
3. Switch on Chewing in kate by Ctrl-Space (as toggle key).
4. Type 'j' 'i' '3', char "我" should be in preedit buffer.
5. Press Ctrl-v to paste the texts copied previous into preedit buffer.
6. Press Enter.

Current Result:
- Only char "我“ is committed.

Expected Result:
- User is unable to paste anything in step 5.
- Pressing Enter commits char "我" from preedit buffer to kate.

Comment 5 Jens Petersen 2008-03-17 07:46:58 UTC
Yes, pasting during preedit appears in the preedit buffer,
and if you copy and then paste during preedit the results seen even
stranger.

Comment 6 Caius Chance 2008-03-18 02:42:08 UTC
More softwares are tested. The problem are not happened in konversation, konsole
that chewing behaves just like when it's on gnome (pastes are committed directly
beyond preedit). It is only happening on kate.

Furthermore, more than one SCIM IMEs got the same problem, such as Changjie,
Simple/Easy/Quick. However, scim-anthy could keep pasting disabled during
preedit state.

Comment 7 Jens Petersen 2008-03-18 03:45:04 UTC
I think I could reproduce it with kwrite too yesterday.

Comment 8 Caius Chance 2008-03-18 03:52:30 UTC
That's right. I just tested with kwrite and it's reproducible.

Comment 9 Jens Petersen 2008-03-19 05:51:59 UTC
Is it happening for IMEs other than scim-chewing and scim-tables?

Comment 10 Caius Chance 2008-03-31 06:05:51 UTC
Test Result:

* Ignores the ctrl-v paste:
scim-anthy
scim-array

* Texts appears at preedit buffer, but removed when commit key is pressed:
scim-chewing
scim-pinyin
scim-python-pinyin

* Texts are directly pasted and committed as soon as ctrl-v pressed:
scim-fcitx

Comment 11 Caius Chance 2008-04-03 04:37:07 UTC
More test results (scim-chewing x qt{3,4} apps):

kate, kwrite: texts were pasted into preedit buffer, but the pasted texts were
removed when commit key is pressed.

knotes, kaddressbook, korganizer: texts were directly committed to the
applications without any change of preedit state.

oowriter: scim was not started with that.

Comment 12 Caius Chance 2008-04-03 04:43:18 UTC
Most IMEs that used preedit buffer behaved same on applications, except anthy
and skk.

I tried to catch the ctrl+v event (SCIM_KEY_Control + SCIM_KEY_v) in
scim-chewing sources but no luck.

Comment 13 Caius Chance 2008-04-09 00:58:23 UTC
Created attachment 301738 [details]
patch

tested working

Comment 14 Caius Chance 2008-04-09 00:59:08 UTC
patched tested built done


Note You need to log in before you can comment on or make changes to this bug.